%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}


Name:           python-fedwatch
Version:        0.1
Release:        1%{?dist}
Summary:        Tools for watching fedmsg messages and running arbitrary scripts

Group:          Development/Languages
License:        LGPLv2+
URL:            https://github.com/sochotnicky/fedwatch
Source0:        https://pypi.python.org/packages/source/f/fedwatch/fedwatch-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-dpath
BuildRequires:  fedmsg

Requires:       python-dpath
Requires:       fedmsg
Requires:       python-fedmsg-meta-fedora-infrastructure

%description
Library for watching fedmsg messages and running arbitrary scripts in a nice
way. 

Think of fedwatch as simple converter from fedmsg json messages into shell
arguments for scripts.

%prep
%setup -q -n fedwatch-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}

%files
%doc README.md LICENSE
%doc examples
%{python_sitelib}/fedwatch*
%{_bindir}/fedwatch

%changelog
* Wed Mar 19 2014 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0.1-1
- Initial packaging

